Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161456 - nfs mount hangs at boot
Summary: nfs mount hangs at boot
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-23 15:34 UTC by Terry Riley
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-10 18:46:40 UTC


Attachments (Terms of Use)

Description Terry Riley 2005-06-23 15:34:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
nfs mount hangs at boot with this message:
RPC: Error 5 connecting to server [servername]

and then, after a few minutes:
mount: [servername:/mountpoint] can't read superblock

boot eventually continues without nfs mounts;
mount -a after boot will mount nfs directories some of the time



Version-Release number of selected component (if applicable):
nfs-utils-1.0.7-8; kernel-2.6.11-1.1369_FC4

How reproducible:
Sometimes

Steps to Reproduce:
1.configure nfs client
2.reboot client
3.
  

Actual Results:  boot hangs at nfs mount

Expected Results:  boot completes nfs mounts

Additional info:

Server is FC3 (2.6.11-1.27_FC3) with nfs-utils-1.0.6-52

Client is using the same /etc/fstab nfs config that worked prior to upgrade from FC3 to FC4:

zippy:/home             /home                   nfs     rw,rsize=8192,wsize=8192 0 0


client /usr/sbin/rpcinfo -p
   program vers proto   port
    100000    2   tcp    111  portmapper
    100000    2   udp    111  portmapper
    100024    1   udp  32768  status
    100024    1   tcp  32769  status
    100021    1   udp  32771  nlockmgr
    100021    3   udp  32771  nlockmgr
    100021    4   udp  32771  nlockmgr
    100021    1   tcp  32784  nlockmgr
    100021    3   tcp  32784  nlockmgr
    100021    4   tcp  32784  nlockmgr


Several FC3 clients are nfs-mounting server without problems.

Comment 1 P Jones 2005-07-04 16:00:40 UTC
Same problem here. I see some activity on NFS issues in fedora-list as well.

For reference I switched off selinux, no change. I am exporting home directories
from my server to my local net, 192.168.0.0/24 . I also happen to be using
firestarter on my server as my firewall interface, using the dhcp function, and
I notice that even if I shut off a machine, it is still shown as an active nfs
connection. If I restart NFS services on the server, the active connection is
dropped, and then my workstation machine will boot correctly and import the NFS
home export.

Comment 2 Steve Dickson 2005-07-08 11:57:09 UTC
Would it be possible to get an b2zip-ed binary ethereal trace
(i.e. on the client 'tethereal -w /tmp/data.pcap host server')?



Comment 3 John Thacker 2007-03-10 18:46:40 UTC
Closing because bug has remained in NEEDINFO state without reply for a long
period of time.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.  


Note You need to log in before you can comment on or make changes to this bug.